Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\ImageAsset Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\ImageAsset:

## Public Member Functions
| getFieldTypeIdentifier ()
| {Returns the fieldType identifier the config parser works for.Required to create configuration node under system.<siteaccess>.fieldtypes. Returns string } More...
| addFieldTypeSemanticConfig (NodeBuilder $nodeBuilder)
  | {Adds fieldType semantic configuration definition. Parameters
  \Symfony\Component\Config\Definition\Builder\NodeBuilder | $nodeBuilder | Node just under ezpublish.system.<siteaccess>.fieldtypes.<identifier>
} More...
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
  | {Does semantic config to internal container parameters mapping for $currentScope.This method is called by the `ConfigurationProcessor`, for each available scopes (e.g. SiteAccess, SiteAccess groups or "global"). Parameters
  array | $scopeSettings | Parsed semantic configuration for current scope. It is passed by reference, making it possible to alter it for usage after `mapConfig()` has run.
  string | $currentScope |
  ContextualizerInterface | $contextualizer |
} More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\AbstractFieldTypeParser
| addSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...
| postMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor after looping over available scopes. More...

## Detailed Description

Definition at line 16 of file ImageAsset.php.

## Member Function Documentation

## ◆ addFieldTypeSemanticConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\ImageAsset::addFieldTypeSemanticConfig | ( | NodeBuilder | $nodeBuilder | ) |

{Adds fieldType semantic configuration definition.

Parameters

  \Symfony\Component\Config\Definition\Builder\NodeBuilder | $nodeBuilder | Node just under ezpublish.system.<siteaccess>.fieldtypes.<identifier>

}

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface.

Definition at line 29 of file ImageAsset.php.

## ◆ getFieldTypeIdentifier()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\ImageAsset::getFieldTypeIdentifier | ( |  | ) |

{Returns the fieldType identifier the config parser works for.Required to create configuration node under system.<siteaccess>.fieldtypes.

Returns
  string

}

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface.

Definition at line 21 of file ImageAsset.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\ImageAsset\mapConfig().

## ◆ mapConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\ImageAsset::mapConfig | ( | array & | $scopeSettings,
|  |  | $currentScope,
|  | ContextualizerInterface | $contextualizer
| ) |  |

{Does semantic config to internal container parameters mapping for $currentScope.This method is called by the `ConfigurationProcessor`, for each available scopes (e.g. SiteAccess, SiteAccess groups or "global").

Parameters

  array | $scopeSettings | Parsed semantic configuration for current scope. It is passed by reference, making it possible to alter it for usage after `mapConfig()` has run.
  string | $currentScope |
  ContextualizerInterface | $contextualizer |

}

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface.

Definition at line 53 of file ImageAsset.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\ImageAsset\getFieldTypeIdentifier(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\setContextualParameter().

The documentation for this class was generated from the following file:

- ImageAsset.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.